---
search:
  tags:
    - users
    - POST
seo:
  description: >-
    Ends the sessions of the user. The user must change the… Reference for the
    POST /api/v1/users/{id}/password endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: Reset a user's password
  badge: POST
title: Reset a user's password
type: openapi-operation
---
Ends the sessions of the user. The user must change the password at the next login. An OIDC user has no password: 409.

`POST /api/v1/users/{id}/password`

**Request body** (`application/json`, required)

- `password` (string) — New password. The user must change it at the next login.

Request body example:

```json
{
  "password": "string"
}
```

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "created_at": "2019-08-24T14:15:22Z",
  "disabled": true,
  "display_name": "string",
  "id": "string",
  "last_login_at": "2019-08-24T14:15:22Z",
  "must_change_password": true,
  "role": "none",
  "service_grants": [
    {
      "role": "viewer",
      "service_id": "string"
    }
  ],
  "source": "local",
  "two_factor": true,
  "updated_at": "2019-08-24T14:15:22Z",
  "username": "string"
}
```
